{% extends "base.html" %}
{% block main %}
<section>
    <div class="container">
        <nav class="navbar navbar-expand navbar-dark bg-dark">
            <a class="navbar-brand" href="#">Equipe recherche </a>
                <ul class="navbar-nav">
                    <li class="nav-item"><a class="nav-link " href="/creationEquipe/">Creation Equipe</a></li>
                    <li class="nav-item"><a class="nav-link " href="">Ajouter Pokemon Equipe </a></li>
                    <form class="form-inline mr-auto" target="_self" method="POST" action="{{ url_for('profile') }}">
                        <div class="form-group">
                          <label for="search-field">
                            <i class="fa fa-search text-white"></i>
                          </label>
                        </div> 
                    </form>
                </ul>
        </nav>
    </div>                
</section>
<div class="row" >
<div id="cards">  
    {% for x in pokemon %}
    <div class="col">        
      <figure class="card card--{{x.type1}}">
            <div class="card__image-container">
              <!-- <img src="{{ url_for('static', filename='images/'+x.name+'.jpg')}}" alt="Eevee" class="card__image"> -->  
              <img src="{{ 'https://pokestrat.io/images/gif-animes/'+x.pokedex_number|string+'.gif'}}" alt="Eevee" class="card__image">   
            </div>
            <figcaption class="card__caption">
              <h1 class="card__name">{{x.name}}</h1>
          
              <h3 class="card__type">
                {{x.type1}}
              </h3>
          
              <table class="card__stats">
                <tbody><tr>
                  <th>HP</th>
                  <td>{{x.hp}}</td>
                </tr>
                <tr>
                  <th>Poid Kg</th>
                  <td>{{x.weight_kg}}</td>
                </tr>
                
                <tr>
                  <th>Taille en (m)</th>
                  <td>{{x.height_m}}</td>
                </tr>
                <tr>
                  <th>Speed</th>  
                  <td>{{x.speed}}</td>
                </tr>
              </tbody></table>
              <form class="form-inline mr-auto" target="_self" method="POST" action="{{ url_for('rechercheParEquipe' , id=idval) }}">
                <input id="IDpoke" name="IDpoke" type="hidden"  value={{x.pokedex_number}}>
                <input  type="submit" value="Supprimer le pokemon de l'equipe">
              </form>
              <form class="form-inline mr-auto" target="_self" method="POST" action="{{ url_for('edition' , id=x.pokedex_number) }}">
                <input id="IDpoke" name="IDpoke" type="hidden"  value={{x.pokedex_number}}>
                <input  type="submit" value="Modifier le pokemon">
              </form>
              <div class="card__abilities">
                <h4 class="card__ability">
                  <span class="card__label">Legendaire </span>
                  {{x.is_legendary}}
                </h4>
                <h4 class="card__ability">
                  <span class="card__label">Classification</span>
                  {{x.classfication}}
                </h4>
              </div>
            </figcaption>
          </figure>
    </div>
    {% endfor %}
</div>
</div>
{% endblock %}

